<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<ol class="breadcrumb" th:fragment="breadcrumb">
    <li><a th:href="@{/admin/home}"><i class="fa fa-dashboard"></i> Dashboard</a></li>
    <li><a th:href="@{/admin/management/user/}"><i class="fa fa-users"></i>[[#{page.title.management.user}]]</a></li>
    <li class="active">[[#{label.add}]]</li>
</ol>
<section th:fragment="content" class="content">
    <div class="row">
        <div class="col-md-12">
            <br />
            <div class="box">
                <div class="box-header with-border">
                    <div class="alert alert-success alert-block fade in" th:if="${okMessage != null and okMessage != ''}">
                        <button data-dismiss="alert" class="close close-sm" type="button">
                            <i class="icon-remove"></i>
                        </button>
                        <p>[[${okMessage}]]</p>
                    </div>
                    <div class="alert alert-danger alert-block fade in" th:if="${errorMessage != null and errorMessage != ''}">
                        <button data-dismiss="alert" class="close close-sm" type="button">
                            <i class="icon-remove"></i>
                        </button>
                        <p>[[${errorMessage}]]</p>
                    </div>
                </div>
                <form id="form" class="form-horizontal" th:object="${form}" th:action="@{/admin/management/user/add}" method="POST">
                    <div class="box-body">
                        <div class="form-group">
                            <label class="col-sm-2 control-label">[[#{label.name}]]</label>
                            <div class="col-sm-4">
                                <input type="text" id="name" class="form-control" maxlength="50" autofocus="autofocus" required="required" th:field="*{name}" th:placeholder="#{placeholder.input.name}"/>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">[[#{label.username}]]</label>
                            <input type="text" id="companyCode" class="col-sm-4" th:value="${companyCode}" disabled/>
                            <div class="col-sm-4">
                                <input type="text" id="username" class="form-control" maxlength="50" required="required" th:field="*{username}" th:placeholder="#{placeholder.input.username}"/>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">[[#{label.password}]]</label>
                            <div class="col-sm-4">
                                <div class="input-group">
                                    <input type="password" id="password" class="form-control" maxlength="50" required="required" th:field="*{password}" th:placeholder="#{placeholder.input.password}"/>
                                    <span id="showPasswordBtn" class="input-group-btn">
                                        <button type="button" class="btn btn-default btn-flat"><i class="fa fa-eye"></i></button>
                                    </span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">[[#{label.email}]]</label>
                            <div class="col-sm-4">
                                <input type="email" id="email" class="form-control" maxlength="255" required="required" th:field="*{email}" th:placeholder="#{placeholder.input.email}">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label"></label>
                            <div class="col-sm-10">
                                <button type="submit" class="btn btn-success"><i class="fa fa-paper-plane"></i> [[#{button.submit}]]</button>
                                <a th:href="@{/admin/management/user}" class="btn btn-default"><i class="fa fa-arrow-left"></i> [[#{button.back}]]</a>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="modal fade bs-example-modal-sm" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel">
            <div class="modal-dialog modal-sm" role="document">
                <div class="modal-content">
                    <div class="modal-body">
                        <h4 class="modal-title" th:with="title=${#strings.toLowerCase('__#{label.qr.type}__')}">[[#{message.modal.save.confirmation(${title})}]]</h4>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary" id="submit-form" data-dismiss="modal">[[#{label.yes}]]</button>
                        <button type="button" class="btn btn-default" data-dismiss="modal">[[#{label.no}]]</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<div th:fragment="css" th:remove="tag"></div>
<div th:fragment="js" th:remove="tag">
    <script type="text/javascript" th:inline="javascript">
        $(document).ready(function() {
            $('#showPasswordBtn').click(function(){
                if($('#password').prop('type') === "password") {
                    $('#password').prop('type','text');
                    $('#showPasswordBtn i.fa').addClass('fa-eye-slash').removeClass('fa-eye');
                } else {
                    $('#password').prop('type','password');
                    $('#showPasswordBtn i.fa').addClass('fa-eye').removeClass('fa-eye-slash');
                }
            });

            $('form').validate({
                submitHandler: function(form) {
                    showLoading();
                    $('form')[0].submit();
                }
            });
        });
    </script>
</div>
</html>